Skip to main content
GET
Get a Pix Automático Authorization

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Account-Id
string
required

Unique identifier of the Midaz Ledger Account (UUID format).

Path Parameters

id
string
required

Authorization ID (UUID format)

Response

OK

accountId
string
Example:

"019cf6ef-e418-7ced-80c0-7b9816faa798"

amount
object
approvedAt
string<date-time>
authorizationRequestId
string
Example:

"019cf6ef-e418-7ced-80c0-7b9816faa798"

cancelReason
enum<string>
Available options:
PAYER,
FRAUD,
EXPIRED,
RECEIVER
cancellationReason
string

CancellationReason is the free-text justification recorded at cancel time (required for FRAUD). Nil when absent.

Example:

"Customer reported unauthorized charge"

cancellationReasonKind
enum<string>

CancellationReasonKind is the structured cancel reason (PAYER, FRAUD, EXPIRED, RECEIVER). Nil when the authorization has not been cancelled.

Available options:
PAYER,
FRAUD,
EXPIRED,
RECEIVER
Example:

"FRAUD"

cancelledAt
string<date-time>
cancelledByOperatorId
string

CancelledByOperatorID is the operator subject that performed a FRAUD cancellation. Nil for payer/system-initiated cancellations.

Example:

"op-9"

createdAt
string<date-time>
destination
object
expiredAt
string<date-time>
externalAuthorizationId
string
Example:

"AUT-2026-04-001"

id
string
Example:

"019cf6ef-e418-7ced-80c0-7b9816faa798"

nextChargeAmount
string
Example:

"29.90"

nextChargeAt
string<date-time>
periodicity
object
receiverMaxAmount
string
Example:

"500.00"

retryPolicy
string
Example:

"RETRY_3X_7D"

status
enum<string>
Available options:
AUTHORIZED,
CANCELLED,
EXPIRED
Example:

"AUTHORIZED"

updatedAt
string<date-time>